#ifndef _Handle_PTopoDS_TSolid_HeaderFile
#define _Handle_PTopoDS_TSolid_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TShape_HeaderFile
#include <Handle_PTopoDS_TShape.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TShape);
class PTopoDS_TSolid;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_TSolid);

class Handle(PTopoDS_TSolid) : public Handle(PTopoDS_TShape) {
  public:

    Handle(PTopoDS_TSolid)():Handle(PTopoDS_TShape)() {} 
    Handle(PTopoDS_TSolid)(const Handle(PTopoDS_TSolid)& aHandle) : Handle(PTopoDS_TShape)(aHandle) 
     {
     }

    Handle(PTopoDS_TSolid)(const PTopoDS_TSolid* anItem) : Handle(PTopoDS_TShape)((PTopoDS_TShape *)anItem) 
     {
     }

    Handle(PTopoDS_TSolid)& operator=(const Handle(PTopoDS_TSolid)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_TSolid)& operator=(const PTopoDS_TSolid* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_TSolid* operator->() const 
     {
      return (PTopoDS_TSolid *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_TSolid) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
